Index: /extensions/PiwigoPress/PiwigoPress.php
===================================================================
--- /extensions/PiwigoPress/PiwigoPress.php	(revision 4101)
+++ /extensions/PiwigoPress/PiwigoPress.php	(revision 4101)
@@ -0,0 +1,76 @@
+<?php
+/*
+Plugin Name: PiwigoPress
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=316
+Description: PiwigoPress is a WordPress 2.8 widget, it links a public picture in your Piwigo gallery (<a href="http://piwigo.org/">Piwigo</a>). In other words, it's a WordPress Sidebar Widget with some available public pictures in your Piwigo gallery as a prereq.
+Version: 1.02
+Author: vpiwigo ( for VDigital, rvelices, Laurent Duretz, ddtddt, rio (and all The Piwigo Team))
+Author URI: http://www.vdigital.org/sharing/
+*/
+if (defined('PHPWG_ROOT_PATH')) return; /* Avoid Automatic install under Piwigo */
+/*  Copyright 2009  VDigital  (email : vpiwigo[at]gmail[dot]com)
+
+    This program is free software; you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation; either version 2 of the License, or
+    (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program; if not, write to the Free Software
+    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+*/
+if (!defined('PWGP_NAME')) define('PWGP_NAME','PiwigoPress');
+
+load_plugin_textdomain('pwg', 'wp-content/plugins/PiwigoPress', 'PiwigoPress' );
+
+class PiwigoPress extends WP_Widget
+{
+	function PiwigoPress(){
+		$widget_ops = array('classname' => PWGP_NAME,
+			'description' => __( "Adds a thumbnail and its link (to the picture) inside your blog sidebar.",'pwg') );
+		$control_ops = array('width' => 300, 'height' => 300);
+		$this->WP_Widget(PWGP_NAME, PWGP_NAME, $widget_ops, $control_ops);
+	}
+	// Code generator
+	function widget($args, $gallery){
+		include 'PiwigoPress_code.php';
+	}
+	function update($new_gallery, $old_gallery){
+		$gallery = $old_gallery;
+		$gallery['title'] = strip_tags(stripslashes($new_gallery['title']));
+		$gallery['thumbnail'] = (strip_tags(stripslashes($new_gallery['thumbnail'])) == 'true') ? 'true':'false';
+		$gallery['piwigo'] = strip_tags(stripslashes($new_gallery['piwigo']));
+		$gallery['external'] = strip_tags(stripslashes($new_gallery['external']));
+		$gallery['number'] = intval(strip_tags(stripslashes($new_gallery['number'])));
+		$gallery['category'] = intval(strip_tags(stripslashes($new_gallery['category'])));
+		$gallery['from'] = intval(strip_tags(stripslashes($new_gallery['from'])));
+		$gallery['divclass'] = strip_tags(stripslashes($new_gallery['divclass']));
+		$gallery['class'] = strip_tags(stripslashes($new_gallery['class']));
+		$gallery['most_visited'] = (strip_tags(stripslashes($new_gallery['most_visited'])) == 'true') ? 'true':'false';
+		$gallery['best_rated'] = (strip_tags(stripslashes($new_gallery['best_rated'])) == 'true') ? 'true':'false';
+		$gallery['most_commented'] = (strip_tags(stripslashes($new_gallery['most_commented'])) == 'true') ? 'true':'false';
+		$gallery['random'] = (strip_tags(stripslashes($new_gallery['random'])) == 'true') ? 'true':'false';
+		$gallery['recent_pics'] = (strip_tags(stripslashes($new_gallery['recent_pics'])) == 'true') ? 'true':'false';
+		$gallery['calendar'] = (strip_tags(stripslashes($new_gallery['calendar'])) == 'true') ? 'true':'false';
+		$gallery['tags'] = (strip_tags(stripslashes($new_gallery['tags'])) == 'true') ? 'true':'false';
+		$gallery['comments'] = (strip_tags(stripslashes($new_gallery['comments'])) == 'true') ? 'true':'false';
+		$gallery['mbcategories'] = (strip_tags(stripslashes($new_gallery['mbcategories'])) == 'true') ? 'true':'false';
+		return $gallery;
+	}
+	function form($gallery){
+		// Options
+		include 'PiwigoPress_options.php';
+	}
+}
+
+// Register
+function PiwigoPress_Init() {
+			register_widget('PiwigoPress');
+}
+add_action('widgets_init', PWGP_NAME . '_Init');
+?>
Index: /extensions/PiwigoPress/PiwigoPress_code.php
===================================================================
--- /extensions/PiwigoPress/PiwigoPress_code.php	(revision 4101)
+++ /extensions/PiwigoPress/PiwigoPress_code.php	(revision 4101)
@@ -0,0 +1,107 @@
+<?php
+if (defined('PHPWG_ROOT_PATH')) return; /* Avoid Automatic install under Piwigo */
+if (!defined('PWGP_NAME')) return; /* Avoid Direct call */
+
+global $wpdb; /* Need for recent thumbnail access */
+extract($args);
+
+$title = apply_filters('widget_title', empty($gallery['title']) ? '&nbsp;' : $gallery['title']);
+if ( $title ) $title = $before_title . $title . $after_title;
+
+$piwigo = empty($gallery['piwigo']) ? '' : $gallery['piwigo'];
+$piwigo_url = 'http://' . $_SERVER['HTTP_HOST'] . '/' . $piwigo ;
+if (!empty($gallery['external'])) $piwigo_url = $gallery['external'];
+if (substr($piwigo_url,-1)!='/') $piwigo_url .= '/';
+
+$thumbnail = empty($gallery['thumbnail']) ? '' : $gallery['thumbnail'];
+
+$options = '';
+$number = empty($gallery['number']) ? 1 : intval($gallery['number']);
+$options .= '&per_page=' . intval($gallery['number']);
+if (!empty($gallery['category'])) $options .= '&cat_id=' . intval($gallery['category']);
+$from = empty($gallery['from']) ? '12' : intval($gallery['from']);
+$r = (array) $wpdb->get_results('SELECT date_sub( date( now( ) ) , INTERVAL ' . $from . ' MONTH ) as begin');
+$from = $r[0]->begin;
+if (!empty($gallery['from'])) $options .= '&f_min_date_created=' . $from;
+
+$PiwigoPress_divclass = empty($gallery['divclass']) ? '' : (' class="' . $gallery['divclass'] .'"');
+$PiwigoPress_class = empty($gallery['class']) ? '' : (' class="' . $gallery['class'] .'"');
+$mbcategories = empty($gallery['mbcategories']) ? '' : $gallery['mbcategories'];
+$most_visited = empty($gallery['most_visited']) ? '' : $gallery['most_visited'];
+$best_rated = empty($gallery['best_rated']) ? '' : $gallery['best_rated'];
+$most_commented = empty($gallery['most_commented']) ? '' : $gallery['most_commented'];
+$random = empty($gallery['random']) ? '' : $gallery['random'];
+$recent_pics = empty($gallery['recent_pics']) ? '' : $gallery['recent_pics'];
+$calendar = empty($gallery['calendar']) ? '' : $gallery['calendar'];
+$tags = empty($gallery['tags']) ? '' : $gallery['tags'];
+$comments = empty($gallery['comments']) ? '' : $gallery['comments'];
+
+echo $before_widget;
+echo $title;
+
+if ($thumbnail == 'true') {
+	// Make the Piwigo link
+	$response = file_get_contents( $piwigo_url 
+			. 'ws.php?method=pwg.categories.getImages&format=php'
+			. $options . '&recursive=true&order=random&f_with_thumbnail=true');
+	$thumbc = unserialize($response);
+	if ($thumbc["stat"] == 'ok') {
+		$pictures = $thumbc["result"]["images"]["_content"];
+		foreach ($pictures as $picture) {
+			echo '<div' . $PiwigoPress_divclass . '><a title="' . htmlspecialchars($picture['name']) . '" href="' 
+				. $piwigo_url . 'picture.php?/' . $picture['id'] . '"><img '
+				. $PiwigoPress_class . ' src="' . $picture['tn_url'] . '" alt="" /></a></div>';
+		}
+	}
+}
+
+if ($mbcategories == 'true') {
+	// Make the Piwigo category list
+	$response = file_get_contents( $piwigo_url 
+			. 'ws.php?method=pwg.categories.getList&format=php&public=true');
+	$cats = unserialize($response);
+	if ($cats["stat"] == 'ok') {
+		echo '<ul style="clear: both;"><li>' . __('Pictures categories','pwg') . '<ul>';
+		foreach ($cats["result"]["categories"] as $cat) {
+			echo '<li><a title="' . $cat['name'] . '" href="' . $piwigo_url . 'index.php?category/' . $cat['id'] . '">' . $cat['name'] . '</a></li>';
+		}
+		echo '</ul></li></ul>';
+	}
+}
+
+if ($most_visited == 'true' or $best_rated == 'true' or 
+    $most_commented == 'true' or $random == 'true' or $recent_pics == 'true' or 
+    $calendar == 'true' or $tags == 'true' or $comments == 'true') echo '<ul style="clear: both;">';
+
+if ($most_visited == 'true') 
+	echo '<li><a title="' . __('Most visited','pwg') . '" href="' . $piwigo_url . 'index.php?most_visited' . '">' . __('Most visited','pwg') . '</a></li>';
+
+if ($best_rated == 'true') 
+	echo '<li><a title="' . __('Best rated','pwg') . '" href="' . $piwigo_url . 'index.php?best_rated' . '">' . __('Best rated','pwg') . '</a></li>';
+
+if ($most_commented == 'true') 
+	echo '<li><a title="' . __('Most commented','pwg') . '" href="' . $piwigo_url . 'index.php?most_commented' . '">' . __('Most commented','pwg') . '</a></li>';
+
+if ($random == 'true') 
+	echo '<li><a title="' . __('Random','pwg') . '" href="' . $piwigo_url . 'random.php' . '">' . __('Random','pwg') . '</a></li>';
+
+if ($recent_pics == 'true')
+	echo '<li><a title="' . __('Recent pics','pwg') . '" href="' . $piwigo_url . 'index.php?recent_pics' . '">' . __('Recent pics','pwg') . '</a></li>';
+
+if ($calendar == 'true') 
+	echo '<li><a title="' . __('Calendar','pwg') . '" href="' . $piwigo_url . 'index.php?created-monthly-calendar' . '">' . __('Calendar','pwg') . '</a></li>';
+
+if ($tags == 'true') 
+	echo '<li><a title="' . __('Tags','pwg') . '" href="' . $piwigo_url . 'tags.php' . '">' . __('Tags','pwg') . '</a></li>';
+
+if ($comments == 'true') 
+	echo '<li><a title="' . __('Comments','pwg') . '" href="' . $piwigo_url . 'comments.php' . '">' . __('Comments','pwg') . '</a></li>';
+
+
+if ($most_visited == 'true' or $best_rated == 'true' or 
+    $most_commented == 'true' or $random == 'true' or $recent_pics == 'true' or 
+    $calendar == 'true' or $tags == 'true' or $comments == 'true') echo '</ul>';
+
+echo $after_widget;
+
+?>
Index: /extensions/PiwigoPress/PiwigoPress_options.php
===================================================================
--- /extensions/PiwigoPress/PiwigoPress_options.php	(revision 4101)
+++ /extensions/PiwigoPress/PiwigoPress_options.php	(revision 4101)
@@ -0,0 +1,108 @@
+<?php
+if (defined('PHPWG_ROOT_PATH')) return; /* Avoid Automatic install under Piwigo */
+if (!defined('PWGP_NAME')) return; /* Avoid Direct call */
+
+	// Defaults
+	$gallery = wp_parse_args( (array) $gallery, array('title'=>__('Random picture'), 
+		'thumbnail'=>'true', 'piwigo'=>'piwigo', 'external'=>'', 'number'=>1, 'category'=>0, 'from'=> 12, 'divclass'=>'', 
+		'class'=>'',  'most_visited' => 'true', 'best_rated' => 'true',
+		'most_commented' => 'true', 'random' => 'true', 'recent_pics' => 'true',
+		'calendar' => 'true', 'tags' => 'true', 'comments' => 'true', 'mbcategories' => 'true',
+		 ) );
+
+	$title = htmlspecialchars($gallery['title']);
+	$thumbnail = (htmlspecialchars($gallery['thumbnail']) == 'true') ? 'checked="checked"':'';
+	$piwigo = htmlspecialchars($gallery['piwigo']);
+	$external = htmlspecialchars($gallery['external']);
+	$number = intval($gallery['number']);
+	$category = intval($gallery['category']);
+	$from = intval($gallery['from']);
+	$divclass = htmlspecialchars($gallery['divclass']);
+	$class = htmlspecialchars($gallery['class']);
+	$mbcategories = (htmlspecialchars($gallery['mbcategories']) == 'true') ? 'checked="checked"':'';
+	$most_visited = (htmlspecialchars($gallery['most_visited']) == 'true') ? 'checked="checked"':'';
+	$best_rated = (htmlspecialchars($gallery['best_rated']) == 'true') ? 'checked="checked"':'';
+	$most_commented = (htmlspecialchars($gallery['most_commented']) == 'true') ? 'checked="checked"':'';
+	$random = (htmlspecialchars($gallery['random']) == 'true') ? 'checked="checked"':'';
+	$recent_pics = (htmlspecialchars($gallery['recent_pics']) == 'true') ? 'checked="checked"':'';
+	$calendar = (htmlspecialchars($gallery['calendar']) == 'true') ? 'checked="checked"':'';
+	$tags = (htmlspecialchars($gallery['tags']) == 'true') ? 'checked="checked"':'';
+	$comments = (htmlspecialchars($gallery['comments']) == 'true') ? 'checked="checked"':'';
+
+	// Options
+	echo '<p style="text-align:right;"><label for="' . $this->get_field_name('title') . '">' . __('Title','pwg') 
+	. ' <input style="width: 250px;" id="' . $this->get_field_id('title') . '" name="' . $this->get_field_name('title')
+	. '" type="text" value="' . $title . '" /></label></p>';
+	// Thumbnail
+	echo '<p style="text-align:right;"><label for="' . $this->get_field_name('thumbnail') . '">' . __('Get thumbnails','pwg') 
+	. ' <input style="width: 50px;" id="' . $this->get_field_id('thumbnail') . '" name="' . $this->get_field_name('thumbnail')
+	. '" type="checkbox" value="true" ' . $thumbnail . '/></label></p>';
+	// Piwigo directory
+	echo '<p style="text-align:right;"><label for="' . $this->get_field_name('piwigo') . '">' . __('<strong>Local</strong> directory (if local)','pwg') 
+	. ' <input style="width: 200px;" id="' . $this->get_field_id('piwigo') . '" name="' . $this->get_field_name('piwigo')
+	. '" type="text" value="' . $piwigo . '" /></label></p>';
+	// External website
+	echo '<p style="text-align:right;"><label for="' . $this->get_field_name('external') . '">' . __('(or) <strong>External</strong> gallery URL','pwg') 
+	. ' <input style="width: 250px;" id="' . $this->get_field_id('external') . '" name="' . $this->get_field_name('external')
+	. '" type="text" value="' . $external . '" /></label></p>';
+	// number of pictures
+	echo '<p style="text-align:right;"><label for="' . $this->get_field_name('number') . '">' . __('Number of pictures (0=none)','pwg') 
+	. ' <input style="width: 30px;" id="' . $this->get_field_id('number') . '" name="' . $this->get_field_name('number')
+	. '" type="text" value="' . $number . '" /></label></p>';
+	// Optional parameters
+	echo '<h5>' . __('Optional parameters','pwg') . '</h5>';
+	// Selected category
+	echo '<p style="text-align:right; font-size:8px; margin:0;"><label for="' . $this->get_field_name('category') . '">' . __('Category id (0=all)','pwg') 
+	. ' <input style="width: 30px;" id="' . $this->get_field_id('category') . '" name="' . $this->get_field_name('category')
+	. '" type="text" value="' . $category . '" /></label></p>';
+	// from
+	echo '<p style="text-align:right; font-size:8px; margin:0;"><label for="' . $this->get_field_name('from') . '">' . __('Since X months (0=all)','pwg') 
+	. ' <input style="width: 30px;" id="' . $this->get_field_id('from') . '" name="' . $this->get_field_name('from')
+	. '" type="text" value="' . $from . '" /></label></p>';
+	// divclass
+	echo '<p style="text-align:right; font-size:8px; margin:0;"><label for="' . $this->get_field_name('divclass') . '">' . __('CSS DIV class','pwg') 
+	. ' <input style="width: 200px;" id="' . $this->get_field_id('divclass') . '" name="' . $this->get_field_name('divclass')
+	. '" type="text" value="' . $divclass . '" /></label></p>';
+	// class
+	echo '<p style="text-align:right; font-size:8px; margin:0;"><label for="' . $this->get_field_name('class') . '">' . __('CSS IMG class','pwg') 
+	. ' <input style="width: 200px;" id="' . $this->get_field_id('class') . '" name="' . $this->get_field_name('class')
+	. '" type="text" value="' . $class . '" /></label></p>';
+
+	// The categories menu
+	echo '<table><tr><td style="text-align:right; font-size:8px;" colspan="2"><label for="' . $this->get_field_name('mbcategories') . '">' . __('Categories menu','pwg') 
+	. ' <input style="width: 50px;" id="' . $this->get_field_id('mbcategories') . '" name="' . $this->get_field_name('mbcategories')
+	. '" type="checkbox" value="true" ' . $mbcategories . '/></label></td>';
+	// The most visited
+	echo '</tr><tr><td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('most_visited') . '">' . __('Most visited','pwg') 
+	. ' <input style="width: 50px;" id="' . $this->get_field_id('most_visited') . '" name="' . $this->get_field_name('most_visited')
+	. '" type="checkbox" value="true" ' . $most_visited . '/></label></td>';
+	// The best rated
+	echo '<td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('best_rated') . '">' . __('Best rated','pwg') 
+	. ' <input style="width: 50px;" id="' . $this->get_field_id('best_rated') . '" name="' . $this->get_field_name('best_rated')
+	. '" type="checkbox" value="true" ' . $best_rated . '/></label></td>';
+	// The most commented
+	echo '</tr><tr><td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('most_commented') . '">' . __('Most commented','pwg') 
+	. ' <input style="width: 50px;" id="' . $this->get_field_id('most_commented') . '" name="' . $this->get_field_name('most_commented')
+	. '" type="checkbox" value="true" ' . $most_commented . '/></label></td>';
+	// The random link
+	echo '<td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('random') . '">' . __('Random','pwg') 
+	. ' <input style="width: 50px;" id="' . $this->get_field_id('random') . '" name="' . $this->get_field_name('random')
+	. '" type="checkbox" value="true" ' . $random . '/></label></td>';
+	// The recent pics
+	echo '</tr><tr><td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('recent_pics') . '">' . __('Recent pics','pwg') 
+	. ' <input style="width: 50px;" id="' . $this->get_field_id('recent_pics') . '" name="' . $this->get_field_name('recent_pics')
+	. '" type="checkbox" value="true" ' . $recent_pics . '/></label></td>';
+	// The calendar
+	echo '<td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('calendar') . '">' . __('Calendar','pwg') 
+	. ' <input style="width: 50px;" id="' . $this->get_field_id('calendar') . '" name="' . $this->get_field_name('calendar','pwg')
+	. '" type="checkbox" value="true" ' . $calendar . '/></label></td>';
+	// The random
+	echo '</tr><tr><td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('tags') . '">' . __('Tags','pwg') 
+	. ' <input style="width: 50px;" id="' . $this->get_field_id('tags') . '" name="' . $this->get_field_name('tags')
+	. '" type="checkbox" value="true" ' . $random . '/></label></td>';
+	// The tags
+	echo '<td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('comments') . '">' . __('Comments','pwg') 
+	. ' <input style="width: 50px;" id="' . $this->get_field_id('comments') . '" name="' . $this->get_field_name('comments','pwg')
+	. '" type="checkbox" value="true" ' . $tags . '/></label></td></tr></table>';
+
+?>
Index: tensions/PiwigoPress/Public_WP_Piwigo_Widget.php
===================================================================
--- /extensions/PiwigoPress/Public_WP_Piwigo_Widget.php	(revision 4100)
+++ 	(revision )
@@ -1,77 +1,0 @@
-<?php
-/*
-Plugin Name: PiwigoPress
-Plugin URI: http://piwigo.org/ext/extension_view.php?eid=316
-Description: PiwigoPress is a WordPress 2.8 widget, it links a public picture in your Piwigo gallery (<a href="http://piwigo.org/">Piwigo</a>). In other words, it's a WordPress Sidebar Widget with some available public pictures in your Piwigo gallery as a prereq.
-Version: 1.01
-Author: vpiwigo ( for VDigital, rvelices, Laurent Duretz, ddtddt, rio (and all The Piwigo Team))
-Author URI: http://www.vdigital.org/sharing/
-*/
-if (defined('PHPWG_ROOT_PATH')) return; /* Avoid Automatic install under Piwigo */
-/*  Copyright 2009  VDigital  (email : vpiwigo[at]gmail[dot]com)
-
-    This program is free software; you can redistribute it and/or modify
-    it under the terms of the GNU General Public License as published by
-    the Free Software Foundation; either version 2 of the License, or
-    (at your option) any later version.
-
-    This program is distributed in the hope that it will be useful,
-    but WITHOUT ANY WARRANTY; without even the implied warranty of
-    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-    GNU General Public License for more details.
-
-    You should have received a copy of the GNU General Public License
-    along with this program; if not, write to the Free Software
-    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
-*/
-if (!defined('PWGP_NAME')) define('PWGP_NAME','Public Piwigo WordPress ');
-if (!defined('PWGP_PFX')) define('PWGP_PFX','Public_Piwigo_WordPress_');
-
-load_plugin_textdomain('pwg', 'wp-content/plugins/PiwigoPress', 'PiwigoPress' );
-
-class PiwigoPress extends WP_Widget
-{
-	function PiwigoPress(){
-		$widget_ops = array('classname' => PWGP_PFX . 'Widget',
-			'description' => __( "Adds a thumbnail and its link (to the picture) inside your blog sidebar.",'pwg') );
-		$control_ops = array('width' => 300, 'height' => 300);
-		$this->WP_Widget(PWGP_PFX . 'Widget', PWGP_NAME . 'Widget', $widget_ops, $control_ops);
-	}
-	// Code generator
-	function widget($args, $gallery){
-		include 'PiwigoPress_code.php';
-	}
-	function update($new_gallery, $old_gallery){
-		$gallery = $old_gallery;
-		$gallery['title'] = strip_tags(stripslashes($new_gallery['title']));
-		$gallery['thumbnail'] = (strip_tags(stripslashes($new_gallery['thumbnail'])) == 'true') ? 'true':'false';
-		$gallery['piwigo'] = strip_tags(stripslashes($new_gallery['piwigo']));
-		$gallery['external'] = strip_tags(stripslashes($new_gallery['external']));
-		$gallery['number'] = intval(strip_tags(stripslashes($new_gallery['number'])));
-		$gallery['category'] = intval(strip_tags(stripslashes($new_gallery['category'])));
-		$gallery['from'] = intval(strip_tags(stripslashes($new_gallery['from'])));
-		$gallery['divclass'] = strip_tags(stripslashes($new_gallery['divclass']));
-		$gallery['class'] = strip_tags(stripslashes($new_gallery['class']));
-		$gallery['most_visited'] = (strip_tags(stripslashes($new_gallery['most_visited'])) == 'true') ? 'true':'false';
-		$gallery['best_rated'] = (strip_tags(stripslashes($new_gallery['best_rated'])) == 'true') ? 'true':'false';
-		$gallery['most_commented'] = (strip_tags(stripslashes($new_gallery['most_commented'])) == 'true') ? 'true':'false';
-		$gallery['random'] = (strip_tags(stripslashes($new_gallery['random'])) == 'true') ? 'true':'false';
-		$gallery['recent_pics'] = (strip_tags(stripslashes($new_gallery['recent_pics'])) == 'true') ? 'true':'false';
-		$gallery['calendar'] = (strip_tags(stripslashes($new_gallery['calendar'])) == 'true') ? 'true':'false';
-		$gallery['tags'] = (strip_tags(stripslashes($new_gallery['tags'])) == 'true') ? 'true':'false';
-		$gallery['comments'] = (strip_tags(stripslashes($new_gallery['comments'])) == 'true') ? 'true':'false';
-		$gallery['mbcategories'] = (strip_tags(stripslashes($new_gallery['mbcategories'])) == 'true') ? 'true':'false';
-		return $gallery;
-	}
-	function form($gallery){
-		// Options
-		include 'PiwigoPress_options.php';
-	}
-}
-
-// Register
-function PiwigoPress_Init() {
-			register_widget(PWGP_PFX . 'Widget');
-}
-add_action('widgets_init', PWGP_PFX . '_Init');
-?>
Index: tensions/PiwigoPress/Public_WP_Piwigo_code.php
===================================================================
--- /extensions/PiwigoPress/Public_WP_Piwigo_code.php	(revision 4100)
+++ 	(revision )
@@ -1,107 +1,0 @@
-<?php
-if (defined('PHPWG_ROOT_PATH')) return; /* Avoid Automatic install under Piwigo */
-if (!defined('PWGP_NAME')) return; /* Avoid Direct call */
-
-global $wpdb; /* Need for recent thumbnail access */
-extract($args);
-
-$title = apply_filters('widget_title', empty($gallery['title']) ? '&nbsp;' : $gallery['title']);
-if ( $title ) $title = $before_title . $title . $after_title;
-
-$piwigo = empty($gallery['piwigo']) ? '' : $gallery['piwigo'];
-$piwigo_url = 'http://' . $_SERVER['HTTP_HOST'] . '/' . $piwigo ;
-if (!empty($gallery['external'])) $piwigo_url = $gallery['external'];
-if (substr($piwigo_url,-1)!='/') $piwigo_url .= '/';
-
-$thumbnail = empty($gallery['thumbnail']) ? '' : $gallery['thumbnail'];
-
-$options = '';
-$number = empty($gallery['number']) ? 1 : intval($gallery['number']);
-$options .= '&per_page=' . intval($gallery['number']);
-if (!empty($gallery['category'])) $options .= '&cat_id=' . intval($gallery['category']);
-$from = empty($gallery['from']) ? '12' : intval($gallery['from']);
-$r = (array) $wpdb->get_results('SELECT date_sub( date( now( ) ) , INTERVAL ' . $from . ' MONTH ) as begin');
-$from = $r[0]->begin;
-if (!empty($gallery['from'])) $options .= '&f_min_date_created=' . $from;
-
-$PW2_divclass = empty($gallery['divclass']) ? '' : (' class="' . $gallery['divclass'] .'"');
-$PW2_class = empty($gallery['class']) ? '' : (' class="' . $gallery['class'] .'"');
-$mbcategories = empty($gallery['mbcategories']) ? '' : $gallery['mbcategories'];
-$most_visited = empty($gallery['most_visited']) ? '' : $gallery['most_visited'];
-$best_rated = empty($gallery['best_rated']) ? '' : $gallery['best_rated'];
-$most_commented = empty($gallery['most_commented']) ? '' : $gallery['most_commented'];
-$random = empty($gallery['random']) ? '' : $gallery['random'];
-$recent_pics = empty($gallery['recent_pics']) ? '' : $gallery['recent_pics'];
-$calendar = empty($gallery['calendar']) ? '' : $gallery['calendar'];
-$tags = empty($gallery['tags']) ? '' : $gallery['tags'];
-$comments = empty($gallery['comments']) ? '' : $gallery['comments'];
-
-echo $before_widget;
-echo $title;
-
-if ($thumbnail == 'true') {
-	// Make the Piwigo link
-	$response = file_get_contents( $piwigo_url 
-			. 'ws.php?method=pwg.categories.getImages&format=php'
-			. $options . '&recursive=true&order=random&f_with_thumbnail=true');
-	$thumbc = unserialize($response);
-	if ($thumbc["stat"] == 'ok') {
-		$pictures = $thumbc["result"]["images"]["_content"];
-		foreach ($pictures as $picture) {
-			echo '<div' . $PW2_divclass . '><a title="' . htmlspecialchars($picture['name']) . '" href="' 
-				. $piwigo_url . 'picture.php?/' . $picture['id'] . '"><img '
-				. $PW2_class . ' src="' . $picture['tn_url'] . '" alt="" /></a></div>';
-		}
-	}
-}
-
-if ($mbcategories == 'true') {
-	// Make the Piwigo category list
-	$response = file_get_contents( $piwigo_url 
-			. 'ws.php?method=pwg.categories.getList&format=php&public=true');
-	$cats = unserialize($response);
-	if ($cats["stat"] == 'ok') {
-		echo '<ul style="clear: both;"><li>' . __('Pictures categories','pwg') . '<ul>';
-		foreach ($cats["result"]["categories"] as $cat) {
-			echo '<li><a title="' . $cat['name'] . '" href="' . $piwigo_url . 'index.php?category/' . $cat['id'] . '">' . $cat['name'] . '</a></li>';
-		}
-		echo '</ul></li></ul>';
-	}
-}
-
-if ($most_visited == 'true' or $best_rated == 'true' or 
-    $most_commented == 'true' or $random == 'true' or $recent_pics == 'true' or 
-    $calendar == 'true' or $tags == 'true' or $comments == 'true') echo '<ul style="clear: both;">';
-
-if ($most_visited == 'true') 
-	echo '<li><a title="' . __('Most visited','pwg') . '" href="' . $piwigo_url . 'index.php?most_visited' . '">' . __('Most visited','pwg') . '</a></li>';
-
-if ($best_rated == 'true') 
-	echo '<li><a title="' . __('Best rated','pwg') . '" href="' . $piwigo_url . 'index.php?best_rated' . '">' . __('Best rated','pwg') . '</a></li>';
-
-if ($most_commented == 'true') 
-	echo '<li><a title="' . __('Most commented','pwg') . '" href="' . $piwigo_url . 'index.php?most_commented' . '">' . __('Most commented','pwg') . '</a></li>';
-
-if ($random == 'true') 
-	echo '<li><a title="' . __('Random','pwg') . '" href="' . $piwigo_url . 'random.php' . '">' . __('Random','pwg') . '</a></li>';
-
-if ($recent_pics == 'true')
-	echo '<li><a title="' . __('Recent pics','pwg') . '" href="' . $piwigo_url . 'index.php?recent_pics' . '">' . __('Recent pics','pwg') . '</a></li>';
-
-if ($calendar == 'true') 
-	echo '<li><a title="' . __('Calendar','pwg') . '" href="' . $piwigo_url . 'index.php?created-monthly-calendar' . '">' . __('Calendar','pwg') . '</a></li>';
-
-if ($tags == 'true') 
-	echo '<li><a title="' . __('Tags','pwg') . '" href="' . $piwigo_url . 'tags.php' . '">' . __('Tags','pwg') . '</a></li>';
-
-if ($comments == 'true') 
-	echo '<li><a title="' . __('Comments','pwg') . '" href="' . $piwigo_url . 'comments.php' . '">' . __('Comments','pwg') . '</a></li>';
-
-
-if ($most_visited == 'true' or $best_rated == 'true' or 
-    $most_commented == 'true' or $random == 'true' or $recent_pics == 'true' or 
-    $calendar == 'true' or $tags == 'true' or $comments == 'true') echo '</ul>';
-
-echo $after_widget;
-
-?>
Index: tensions/PiwigoPress/Public_WP_Piwigo_options.php
===================================================================
--- /extensions/PiwigoPress/Public_WP_Piwigo_options.php	(revision 4100)
+++ 	(revision )
@@ -1,108 +1,0 @@
-<?php
-if (defined('PHPWG_ROOT_PATH')) return; /* Avoid Automatic install under Piwigo */
-if (!defined('PWGP_NAME')) return; /* Avoid Direct call */
-
-	// Defaults
-	$gallery = wp_parse_args( (array) $gallery, array('title'=>__('Random picture'), 
-		'thumbnail'=>'true', 'piwigo'=>'piwigo', 'external'=>'', 'number'=>1, 'category'=>0, 'from'=> 12, 'divclass'=>'', 
-		'class'=>'',  'most_visited' => 'true', 'best_rated' => 'true',
-		'most_commented' => 'true', 'random' => 'true', 'recent_pics' => 'true',
-		'calendar' => 'true', 'tags' => 'true', 'comments' => 'true', 'mbcategories' => 'true',
-		 ) );
-
-	$title = htmlspecialchars($gallery['title']);
-	$thumbnail = (htmlspecialchars($gallery['thumbnail']) == 'true') ? 'checked="checked"':'';
-	$piwigo = htmlspecialchars($gallery['piwigo']);
-	$external = htmlspecialchars($gallery['external']);
-	$number = intval($gallery['number']);
-	$category = intval($gallery['category']);
-	$from = intval($gallery['from']);
-	$divclass = htmlspecialchars($gallery['divclass']);
-	$class = htmlspecialchars($gallery['class']);
-	$mbcategories = (htmlspecialchars($gallery['mbcategories']) == 'true') ? 'checked="checked"':'';
-	$most_visited = (htmlspecialchars($gallery['most_visited']) == 'true') ? 'checked="checked"':'';
-	$best_rated = (htmlspecialchars($gallery['best_rated']) == 'true') ? 'checked="checked"':'';
-	$most_commented = (htmlspecialchars($gallery['most_commented']) == 'true') ? 'checked="checked"':'';
-	$random = (htmlspecialchars($gallery['random']) == 'true') ? 'checked="checked"':'';
-	$recent_pics = (htmlspecialchars($gallery['recent_pics']) == 'true') ? 'checked="checked"':'';
-	$calendar = (htmlspecialchars($gallery['calendar']) == 'true') ? 'checked="checked"':'';
-	$tags = (htmlspecialchars($gallery['tags']) == 'true') ? 'checked="checked"':'';
-	$comments = (htmlspecialchars($gallery['comments']) == 'true') ? 'checked="checked"':'';
-
-	// Options
-	echo '<p style="text-align:right;"><label for="' . $this->get_field_name('title') . '">' . __('Title','pwg') 
-	. ' <input style="width: 250px;" id="' . $this->get_field_id('title') . '" name="' . $this->get_field_name('title')
-	. '" type="text" value="' . $title . '" /></label></p>';
-	// Thumbnail
-	echo '<p style="text-align:right;"><label for="' . $this->get_field_name('thumbnail') . '">' . __('Get thumbnails','pwg') 
-	. ' <input style="width: 50px;" id="' . $this->get_field_id('thumbnail') . '" name="' . $this->get_field_name('thumbnail')
-	. '" type="checkbox" value="true" ' . $thumbnail . '/></label></p>';
-	// Piwigo directory
-	echo '<p style="text-align:right;"><label for="' . $this->get_field_name('piwigo') . '">' . __('<strong>Local</strong> directory (if local)','pwg') 
-	. ' <input style="width: 200px;" id="' . $this->get_field_id('piwigo') . '" name="' . $this->get_field_name('piwigo')
-	. '" type="text" value="' . $piwigo . '" /></label></p>';
-	// External website
-	echo '<p style="text-align:right;"><label for="' . $this->get_field_name('external') . '">' . __('(or) <strong>External</strong> gallery URL','pwg') 
-	. ' <input style="width: 250px;" id="' . $this->get_field_id('external') . '" name="' . $this->get_field_name('external')
-	. '" type="text" value="' . $external . '" /></label></p>';
-	// number of pictures
-	echo '<p style="text-align:right;"><label for="' . $this->get_field_name('number') . '">' . __('Number of pictures (0=none)','pwg') 
-	. ' <input style="width: 30px;" id="' . $this->get_field_id('number') . '" name="' . $this->get_field_name('number')
-	. '" type="text" value="' . $number . '" /></label></p>';
-	// Optional parameters
-	echo '<h5>' . __('Optional parameters','pwg') . '</h5>';
-	// Selected category
-	echo '<p style="text-align:right; font-size:8px; margin:0;"><label for="' . $this->get_field_name('category') . '">' . __('Category id (0=all)','pwg') 
-	. ' <input style="width: 30px;" id="' . $this->get_field_id('category') . '" name="' . $this->get_field_name('category')
-	. '" type="text" value="' . $category . '" /></label></p>';
-	// from
-	echo '<p style="text-align:right; font-size:8px; margin:0;"><label for="' . $this->get_field_name('from') . '">' . __('Since X months (0=all)','pwg') 
-	. ' <input style="width: 30px;" id="' . $this->get_field_id('from') . '" name="' . $this->get_field_name('from')
-	. '" type="text" value="' . $from . '" /></label></p>';
-	// divclass
-	echo '<p style="text-align:right; font-size:8px; margin:0;"><label for="' . $this->get_field_name('divclass') . '">' . __('CSS DIV class','pwg') 
-	. ' <input style="width: 200px;" id="' . $this->get_field_id('divclass') . '" name="' . $this->get_field_name('divclass')
-	. '" type="text" value="' . $divclass . '" /></label></p>';
-	// class
-	echo '<p style="text-align:right; font-size:8px; margin:0;"><label for="' . $this->get_field_name('class') . '">' . __('CSS IMG class','pwg') 
-	. ' <input style="width: 200px;" id="' . $this->get_field_id('class') . '" name="' . $this->get_field_name('class')
-	. '" type="text" value="' . $class . '" /></label></p>';
-
-	// The categories menu
-	echo '<table><tr><td style="text-align:right; font-size:8px;" colspan="2"><label for="' . $this->get_field_name('mbcategories') . '">' . __('Categories menu','pwg') 
-	. ' <input style="width: 50px;" id="' . $this->get_field_id('mbcategories') . '" name="' . $this->get_field_name('mbcategories')
-	. '" type="checkbox" value="true" ' . $mbcategories . '/></label></td>';
-	// The most visited
-	echo '</tr><tr><td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('most_visited') . '">' . __('Most visited','pwg') 
-	. ' <input style="width: 50px;" id="' . $this->get_field_id('most_visited') . '" name="' . $this->get_field_name('most_visited')
-	. '" type="checkbox" value="true" ' . $most_visited . '/></label></td>';
-	// The best rated
-	echo '<td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('best_rated') . '">' . __('Best rated','pwg') 
-	. ' <input style="width: 50px;" id="' . $this->get_field_id('best_rated') . '" name="' . $this->get_field_name('best_rated')
-	. '" type="checkbox" value="true" ' . $best_rated . '/></label></td>';
-	// The most commented
-	echo '</tr><tr><td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('most_commented') . '">' . __('Most commented','pwg') 
-	. ' <input style="width: 50px;" id="' . $this->get_field_id('most_commented') . '" name="' . $this->get_field_name('most_commented')
-	. '" type="checkbox" value="true" ' . $most_commented . '/></label></td>';
-	// The random link
-	echo '<td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('random') . '">' . __('Random','pwg') 
-	. ' <input style="width: 50px;" id="' . $this->get_field_id('random') . '" name="' . $this->get_field_name('random')
-	. '" type="checkbox" value="true" ' . $random . '/></label></td>';
-	// The recent pics
-	echo '</tr><tr><td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('recent_pics') . '">' . __('Recent pics','pwg') 
-	. ' <input style="width: 50px;" id="' . $this->get_field_id('recent_pics') . '" name="' . $this->get_field_name('recent_pics')
-	. '" type="checkbox" value="true" ' . $recent_pics . '/></label></td>';
-	// The calendar
-	echo '<td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('calendar') . '">' . __('Calendar','pwg') 
-	. ' <input style="width: 50px;" id="' . $this->get_field_id('calendar') . '" name="' . $this->get_field_name('calendar','pwg')
-	. '" type="checkbox" value="true" ' . $calendar . '/></label></td>';
-	// The random
-	echo '</tr><tr><td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('tags') . '">' . __('Tags','pwg') 
-	. ' <input style="width: 50px;" id="' . $this->get_field_id('tags') . '" name="' . $this->get_field_name('tags')
-	. '" type="checkbox" value="true" ' . $random . '/></label></td>';
-	// The tags
-	echo '<td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('comments') . '">' . __('Comments','pwg') 
-	. ' <input style="width: 50px;" id="' . $this->get_field_id('comments') . '" name="' . $this->get_field_name('comments','pwg')
-	. '" type="checkbox" value="true" ' . $tags . '/></label></td></tr></table>';
-
-?>
Index: /extensions/PiwigoPress/default.po
===================================================================
--- /extensions/PiwigoPress/default.po	(revision 4100)
+++ /extensions/PiwigoPress/default.po	(revision 4101)
@@ -3,7 +3,7 @@
 "Project-Id-Version: Public_Piwigo_WordPress_Widget\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-10-20 11:38+0100\n"
+"POT-Creation-Date: 2009-10-23 22:33+0100\n"
 "PO-Revision-Date: \n"
-"Last-Translator: Laurent Duretz <laurent@duretz.net>\n"
+"Last-Translator: VDigital <vpiwigo@gmail.com>\n"
 "Language-Team: Laurent Duretz <laurent@duretz.net>\n"
 "MIME-Version: 1.0\n"
@@ -15,101 +15,131 @@
 "X-Poedit-SourceCharset: utf-8\n"
 "X-Poedit-KeywordsList: __;_e;_c\n"
-"X-Poedit-Basepath: C:\\Documents and Settings\\wskq7055\\Desktop\\\n"
-"X-Poedit-SearchPath-0: Public_Piwigo_WordPress_Widget_1.00\n"
+"X-Poedit-Basepath: C:\\wamp\\www\\svn-org\\extensions\n"
+"X-Poedit-SearchPath-0: PiwigoPress\n"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:64
+#: PiwigoPress/PiwigoPress.php:36
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_Widget.php:36
+msgid "Adds a thumbnail and its link (to the picture) inside your blog sidebar."
+msgstr ""
+
+#: PiwigoPress/PiwigoPress_code.php:64
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:64
 msgid "Pictures categories"
 msgstr ""
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:77
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:76
+#: PiwigoPress/PiwigoPress_code.php:77
+#: PiwigoPress/PiwigoPress_options.php:76
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:77
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:76
 msgid "Most visited"
 msgstr ""
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:80
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:80
+#: PiwigoPress/PiwigoPress_code.php:80
+#: PiwigoPress/PiwigoPress_options.php:80
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:80
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:80
 msgid "Best rated"
 msgstr ""
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:83
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:84
+#: PiwigoPress/PiwigoPress_code.php:83
+#: PiwigoPress/PiwigoPress_options.php:84
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:83
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:84
 msgid "Most commented"
 msgstr ""
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:86
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:88
+#: PiwigoPress/PiwigoPress_code.php:86
+#: PiwigoPress/PiwigoPress_options.php:88
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:86
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:88
 msgid "Random"
 msgstr ""
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:89
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:92
+#: PiwigoPress/PiwigoPress_code.php:89
+#: PiwigoPress/PiwigoPress_options.php:92
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:89
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:92
 msgid "Recent pics"
 msgstr ""
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:92
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:96
+#: PiwigoPress/PiwigoPress_code.php:92
+#: PiwigoPress/PiwigoPress_options.php:96
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:92
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:96
 msgid "Calendar"
 msgstr ""
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:95
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:100
+#: PiwigoPress/PiwigoPress_code.php:95
+#: PiwigoPress/PiwigoPress_options.php:100
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:95
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:100
 msgid "Tags"
 msgstr ""
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:98
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:104
+#: PiwigoPress/PiwigoPress_code.php:98
+#: PiwigoPress/PiwigoPress_options.php:104
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:98
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:104
 msgid "Comments"
 msgstr ""
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:6
+#: PiwigoPress/PiwigoPress_options.php:6
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:6
 msgid "Random picture"
 msgstr ""
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:33
+#: PiwigoPress/PiwigoPress_options.php:33
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:33
 msgid "Title"
 msgstr ""
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:37
+#: PiwigoPress/PiwigoPress_options.php:37
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:37
 msgid "Get thumbnails"
 msgstr ""
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:41
+#: PiwigoPress/PiwigoPress_options.php:41
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:41
 msgid "<strong>Local</strong> directory (if local)"
 msgstr ""
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:45
+#: PiwigoPress/PiwigoPress_options.php:45
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:45
 msgid "(or) <strong>External</strong> gallery URL"
 msgstr ""
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:49
+#: PiwigoPress/PiwigoPress_options.php:49
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:49
 msgid "Number of pictures (0=none)"
 msgstr ""
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:53
+#: PiwigoPress/PiwigoPress_options.php:53
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:53
 msgid "Optional parameters"
 msgstr ""
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:55
+#: PiwigoPress/PiwigoPress_options.php:55
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:55
 msgid "Category id (0=all)"
 msgstr ""
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:59
+#: PiwigoPress/PiwigoPress_options.php:59
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:59
 msgid "Since X months (0=all)"
 msgstr ""
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:63
+#: PiwigoPress/PiwigoPress_options.php:63
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:63
 msgid "CSS DIV class"
 msgstr ""
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:67
+#: PiwigoPress/PiwigoPress_options.php:67
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:67
 msgid "CSS IMG class"
 msgstr ""
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:72
+#: PiwigoPress/PiwigoPress_options.php:72
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:72
 msgid "Categories menu"
 msgstr ""
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_Widget.php:34
-msgid "Adds a thumbnail and its link (to the picture) inside your blog sidebar."
-msgstr ""
-
Index: /extensions/PiwigoPress/pwg-es_ES.po
===================================================================
--- /extensions/PiwigoPress/pwg-es_ES.po	(revision 4100)
+++ /extensions/PiwigoPress/pwg-es_ES.po	(revision 4101)
@@ -1,9 +1,9 @@
 msgid ""
 msgstr ""
-"Project-Id-Version: Public_Piwigo_WordPress_Widget\n"
+"Project-Id-Version: PiwigoPress\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-10-20 11:52+0100\n"
+"POT-Creation-Date: 2009-10-23 22:32+0100\n"
 "PO-Revision-Date: \n"
-"Last-Translator: ddtddt <ddtddt@piwigo.org>\n"
+"Last-Translator: VDigital <vpiwigo@gmail.com>\n"
 "Language-Team: Laurent Duretz <laurent@duretz.net>\n"
 "MIME-Version: 1.0\n"
@@ -15,101 +15,131 @@
 "X-Poedit-SourceCharset: utf-8\n"
 "X-Poedit-KeywordsList: __;_e;_c\n"
-"X-Poedit-Basepath: C:\\Documents and Settings\\wskq7055\\Desktop\\\n"
-"X-Poedit-SearchPath-0: Public_Piwigo_WordPress_Widget_1.00\n"
+"X-Poedit-Basepath: C:\\wamp\\www\\svn-org\\extensions\n"
+"X-Poedit-SearchPath-0: PiwigoPress\n"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:66
+#: PiwigoPress/PiwigoPress.php:36
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_Widget.php:36
+msgid "Adds a thumbnail and its link (to the picture) inside your blog sidebar."
+msgstr "Añadir una miniatura y su enlaces (hacia la imagen) en la barra lateral del blog"
+
+#: PiwigoPress/PiwigoPress_code.php:64
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:64
 msgid "Pictures categories"
 msgstr "Categoría de imágenes"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:79
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:76
+#: PiwigoPress/PiwigoPress_code.php:77
+#: PiwigoPress/PiwigoPress_options.php:76
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:77
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:76
 msgid "Most visited"
 msgstr "Más populares"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:82
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:80
+#: PiwigoPress/PiwigoPress_code.php:80
+#: PiwigoPress/PiwigoPress_options.php:80
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:80
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:80
 msgid "Best rated"
 msgstr "Mejor anotadas"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:85
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:84
+#: PiwigoPress/PiwigoPress_code.php:83
+#: PiwigoPress/PiwigoPress_options.php:84
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:83
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:84
 msgid "Most commented"
 msgstr "Más comentadas"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:88
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:88
+#: PiwigoPress/PiwigoPress_code.php:86
+#: PiwigoPress/PiwigoPress_options.php:88
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:86
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:88
 msgid "Random"
 msgstr "Aleatorio"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:91
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:92
+#: PiwigoPress/PiwigoPress_code.php:89
+#: PiwigoPress/PiwigoPress_options.php:92
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:89
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:92
 msgid "Recent pics"
 msgstr "Imágenes recientes"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:94
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:96
+#: PiwigoPress/PiwigoPress_code.php:92
+#: PiwigoPress/PiwigoPress_options.php:96
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:92
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:96
 msgid "Calendar"
 msgstr "Calendario"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:97
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:100
+#: PiwigoPress/PiwigoPress_code.php:95
+#: PiwigoPress/PiwigoPress_options.php:100
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:95
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:100
 msgid "Tags"
 msgstr "Tags"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:100
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:104
+#: PiwigoPress/PiwigoPress_code.php:98
+#: PiwigoPress/PiwigoPress_options.php:104
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:98
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:104
 msgid "Comments"
 msgstr "Comentarios"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:6
+#: PiwigoPress/PiwigoPress_options.php:6
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:6
 msgid "Random picture"
 msgstr "Imágenes aleatorias"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:33
+#: PiwigoPress/PiwigoPress_options.php:33
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:33
 msgid "Title"
 msgstr "Título"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:37
+#: PiwigoPress/PiwigoPress_options.php:37
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:37
 msgid "Get thumbnails"
 msgstr "Obtener las miniaturas"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:41
+#: PiwigoPress/PiwigoPress_options.php:41
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:41
 msgid "<strong>Local</strong> directory (if local)"
 msgstr "Repertorio <strong>local</strong> (tan local)"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:45
+#: PiwigoPress/PiwigoPress_options.php:45
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:45
 msgid "(or) <strong>External</strong> gallery URL"
 msgstr "(o) URL de la galería <strong>externa</strong>"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:49
+#: PiwigoPress/PiwigoPress_options.php:49
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:49
 msgid "Number of pictures (0=none)"
 msgstr "Número de imágenes (0=ninguno)"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:53
+#: PiwigoPress/PiwigoPress_options.php:53
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:53
 msgid "Optional parameters"
 msgstr "Parámetros opcionales"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:55
+#: PiwigoPress/PiwigoPress_options.php:55
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:55
 msgid "Category id (0=all)"
 msgstr "Id de la categoría (0=todas)"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:59
+#: PiwigoPress/PiwigoPress_options.php:59
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:59
 msgid "Since X months (0=all)"
 msgstr "Después X mes (0=todos)"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:63
+#: PiwigoPress/PiwigoPress_options.php:63
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:63
 msgid "CSS DIV class"
 msgstr "Clasifica a CSS para DIV"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:67
+#: PiwigoPress/PiwigoPress_options.php:67
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:67
 msgid "CSS IMG class"
 msgstr "Clasifica a CSS para IMG"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:72
+#: PiwigoPress/PiwigoPress_options.php:72
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:72
 msgid "Categories menu"
 msgstr "Menú de las categorías"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_Widget.php:34
-msgid "Adds a thumbnail and its link (to the picture) inside your blog sidebar."
-msgstr "Añadir una miniatura y su enlaces (hacia la imagen) en la barra lateral del blog"
-
Index: /extensions/PiwigoPress/pwg-fr_FR.po
===================================================================
--- /extensions/PiwigoPress/pwg-fr_FR.po	(revision 4100)
+++ /extensions/PiwigoPress/pwg-fr_FR.po	(revision 4101)
@@ -1,9 +1,9 @@
 msgid ""
 msgstr ""
-"Project-Id-Version: Public_Piwigo_WordPress_Widget\n"
+"Project-Id-Version: PiwigoPress\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-10-20 11:52+0100\n"
+"POT-Creation-Date: 2009-10-23 22:31+0100\n"
 "PO-Revision-Date: \n"
-"Last-Translator: Laurent Duretz <laurent@duretz.net>\n"
+"Last-Translator: VDigital <vpiwigo@gmail.com>\n"
 "Language-Team: Laurent Duretz <laurent@duretz.net>\n"
 "MIME-Version: 1.0\n"
@@ -15,101 +15,131 @@
 "X-Poedit-SourceCharset: utf-8\n"
 "X-Poedit-KeywordsList: __;_e;_c\n"
-"X-Poedit-Basepath: C:\\Documents and Settings\\wskq7055\\Desktop\\\n"
-"X-Poedit-SearchPath-0: Public_Piwigo_WordPress_Widget_1.00\n"
+"X-Poedit-Basepath: C:\\wamp\\www\\svn-org\\extensions\n"
+"X-Poedit-SearchPath-0: PiwigoPress\n"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:66
+#: PiwigoPress/PiwigoPress.php:36
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_Widget.php:36
+msgid "Adds a thumbnail and its link (to the picture) inside your blog sidebar."
+msgstr "Ajouter une miniature et son lien (vers l'image) dans la barre latérale du blog"
+
+#: PiwigoPress/PiwigoPress_code.php:64
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:64
 msgid "Pictures categories"
 msgstr "Catégorie d'images"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:79
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:76
+#: PiwigoPress/PiwigoPress_code.php:77
+#: PiwigoPress/PiwigoPress_options.php:76
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:77
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:76
 msgid "Most visited"
 msgstr "Plus populaires"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:82
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:80
+#: PiwigoPress/PiwigoPress_code.php:80
+#: PiwigoPress/PiwigoPress_options.php:80
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:80
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:80
 msgid "Best rated"
 msgstr "Mieux notées"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:85
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:84
+#: PiwigoPress/PiwigoPress_code.php:83
+#: PiwigoPress/PiwigoPress_options.php:84
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:83
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:84
 msgid "Most commented"
 msgstr "Plus commentées"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:88
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:88
+#: PiwigoPress/PiwigoPress_code.php:86
+#: PiwigoPress/PiwigoPress_options.php:88
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:86
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:88
 msgid "Random"
 msgstr "Aléatoire"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:91
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:92
+#: PiwigoPress/PiwigoPress_code.php:89
+#: PiwigoPress/PiwigoPress_options.php:92
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:89
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:92
 msgid "Recent pics"
 msgstr "Images récentes"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:94
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:96
+#: PiwigoPress/PiwigoPress_code.php:92
+#: PiwigoPress/PiwigoPress_options.php:96
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:92
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:96
 msgid "Calendar"
 msgstr "Calendrier"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:97
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:100
+#: PiwigoPress/PiwigoPress_code.php:95
+#: PiwigoPress/PiwigoPress_options.php:100
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:95
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:100
 msgid "Tags"
 msgstr "Tags"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:100
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:104
+#: PiwigoPress/PiwigoPress_code.php:98
+#: PiwigoPress/PiwigoPress_options.php:104
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:98
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:104
 msgid "Comments"
 msgstr "Commentaires"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:6
+#: PiwigoPress/PiwigoPress_options.php:6
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:6
 msgid "Random picture"
 msgstr "Images aléatoires"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:33
+#: PiwigoPress/PiwigoPress_options.php:33
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:33
 msgid "Title"
 msgstr "Titre"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:37
+#: PiwigoPress/PiwigoPress_options.php:37
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:37
 msgid "Get thumbnails"
 msgstr "Obtenir les miniatures"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:41
+#: PiwigoPress/PiwigoPress_options.php:41
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:41
 msgid "<strong>Local</strong> directory (if local)"
 msgstr "Répertoire <strong>local</strong> (si local)"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:45
+#: PiwigoPress/PiwigoPress_options.php:45
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:45
 msgid "(or) <strong>External</strong> gallery URL"
 msgstr "(ou) URL de la galerie <strong>externe</strong>"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:49
+#: PiwigoPress/PiwigoPress_options.php:49
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:49
 msgid "Number of pictures (0=none)"
 msgstr "Nombre d'images (0=aucune)"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:53
+#: PiwigoPress/PiwigoPress_options.php:53
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:53
 msgid "Optional parameters"
 msgstr "Paramètres optionnels"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:55
+#: PiwigoPress/PiwigoPress_options.php:55
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:55
 msgid "Category id (0=all)"
 msgstr "Id de la catégorie (0=toutes)"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:59
+#: PiwigoPress/PiwigoPress_options.php:59
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:59
 msgid "Since X months (0=all)"
 msgstr "Depuis X mois (0=tous)"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:63
+#: PiwigoPress/PiwigoPress_options.php:63
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:63
 msgid "CSS DIV class"
 msgstr "Classe CSS pour DIV"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:67
+#: PiwigoPress/PiwigoPress_options.php:67
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:67
 msgid "CSS IMG class"
 msgstr "Classe CSS pour IMG"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:72
+#: PiwigoPress/PiwigoPress_options.php:72
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:72
 msgid "Categories menu"
 msgstr "Menu des catégories"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_Widget.php:34
-msgid "Adds a thumbnail and its link (to the picture) inside your blog sidebar."
-msgstr "Ajouter une miniature et son lien (vers l'image) dans la barre latérale du blog"
-
Index: /extensions/PiwigoPress/pwg-it_IT.po
===================================================================
--- /extensions/PiwigoPress/pwg-it_IT.po	(revision 4100)
+++ /extensions/PiwigoPress/pwg-it_IT.po	(revision 4101)
@@ -1,9 +1,9 @@
 msgid ""
 msgstr ""
-"Project-Id-Version: Public_Piwigo_WordPress_Widget\n"
+"Project-Id-Version: PiwigoPress\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-10-20 11:52+0100\n"
+"POT-Creation-Date: 2009-10-23 22:28+0100\n"
 "PO-Revision-Date: \n"
-"Last-Translator: Karim AGREBI <rio@piwigo.org>\n"
+"Last-Translator: VDigital <vpiwigo@gmail.com>\n"
 "Language-Team: Laurent Duretz <laurent@duretz.net>\n"
 "MIME-Version: 1.0\n"
@@ -15,101 +15,131 @@
 "X-Poedit-SourceCharset: utf-8\n"
 "X-Poedit-KeywordsList: __;_e;_c\n"
-"X-Poedit-Basepath: C:\\Documents and Settings\\wskq7055\\Desktop\\\n"
-"X-Poedit-SearchPath-0: Public_Piwigo_WordPress_Widget_1.00\n"
+"X-Poedit-Basepath: C:\\wamp\\www\\svn-org\\extensions\\\n"
+"X-Poedit-SearchPath-0: PiwigoPress\n"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:66
+#: PiwigoPress/PiwigoPress.php:36
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_Widget.php:36
+msgid "Adds a thumbnail and its link (to the picture) inside your blog sidebar."
+msgstr "Aggiungere una miniatura ed il suo link (verso l'immagine) nella barra laterale del blog"
+
+#: PiwigoPress/PiwigoPress_code.php:64
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:64
 msgid "Pictures categories"
 msgstr "Categorie d'immagini"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:79
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:76
+#: PiwigoPress/PiwigoPress_code.php:77
+#: PiwigoPress/PiwigoPress_options.php:76
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:77
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:76
 msgid "Most visited"
 msgstr "Le più viste"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:82
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:80
+#: PiwigoPress/PiwigoPress_code.php:80
+#: PiwigoPress/PiwigoPress_options.php:80
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:80
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:80
 msgid "Best rated"
 msgstr "Le più votate"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:85
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:84
+#: PiwigoPress/PiwigoPress_code.php:83
+#: PiwigoPress/PiwigoPress_options.php:84
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:83
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:84
 msgid "Most commented"
 msgstr "Plus commentées"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:88
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:88
+#: PiwigoPress/PiwigoPress_code.php:86
+#: PiwigoPress/PiwigoPress_options.php:88
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:86
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:88
 msgid "Random"
 msgstr "Random"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:91
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:92
+#: PiwigoPress/PiwigoPress_code.php:89
+#: PiwigoPress/PiwigoPress_options.php:92
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:89
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:92
 msgid "Recent pics"
 msgstr "Immagini recenti"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:94
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:96
+#: PiwigoPress/PiwigoPress_code.php:92
+#: PiwigoPress/PiwigoPress_options.php:96
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:92
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:96
 msgid "Calendar"
 msgstr "Calendario"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:97
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:100
+#: PiwigoPress/PiwigoPress_code.php:95
+#: PiwigoPress/PiwigoPress_options.php:100
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:95
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:100
 msgid "Tags"
 msgstr "Tags"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:100
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:104
+#: PiwigoPress/PiwigoPress_code.php:98
+#: PiwigoPress/PiwigoPress_options.php:104
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:98
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:104
 msgid "Comments"
 msgstr "Commenti"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:6
+#: PiwigoPress/PiwigoPress_options.php:6
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:6
 msgid "Random picture"
 msgstr "Immagini a caso"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:33
+#: PiwigoPress/PiwigoPress_options.php:33
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:33
 msgid "Title"
 msgstr "Titolo"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:37
+#: PiwigoPress/PiwigoPress_options.php:37
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:37
 msgid "Get thumbnails"
 msgstr "Ottenere le miniature"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:41
+#: PiwigoPress/PiwigoPress_options.php:41
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:41
 msgid "<strong>Local</strong> directory (if local)"
 msgstr "Directory <strong>locale</strong> (se locale)"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:45
+#: PiwigoPress/PiwigoPress_options.php:45
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:45
 msgid "(or) <strong>External</strong> gallery URL"
 msgstr "(o) URL della galleria <strong>esterna</strong>"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:49
+#: PiwigoPress/PiwigoPress_options.php:49
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:49
 msgid "Number of pictures (0=none)"
 msgstr "Numero d'immagini (0=nessuna)"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:53
+#: PiwigoPress/PiwigoPress_options.php:53
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:53
 msgid "Optional parameters"
 msgstr "Parametri facoltativi"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:55
+#: PiwigoPress/PiwigoPress_options.php:55
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:55
 msgid "Category id (0=all)"
 msgstr "Id della categoria (0=tutte)"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:59
+#: PiwigoPress/PiwigoPress_options.php:59
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:59
 msgid "Since X months (0=all)"
 msgstr "Da X mesi (0=tutti)"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:63
+#: PiwigoPress/PiwigoPress_options.php:63
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:63
 msgid "CSS DIV class"
 msgstr "Classe CSS per DIV"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:67
+#: PiwigoPress/PiwigoPress_options.php:67
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:67
 msgid "CSS IMG class"
 msgstr "Classe CSS per IMG"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:72
+#: PiwigoPress/PiwigoPress_options.php:72
+#: PiwigoPress/Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:72
 msgid "Categories menu"
 msgstr "Menu delle categorie"
 
-#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_Widget.php:34
-msgid "Adds a thumbnail and its link (to the picture) inside your blog sidebar."
-msgstr "Aggiungere una miniatura ed il suo link (verso l'immagine) nella barra laterale del blog"
-
Index: /extensions/PiwigoPress/readme.txt
===================================================================
--- /extensions/PiwigoPress/readme.txt	(revision 4100)
+++ /extensions/PiwigoPress/readme.txt	(revision 4101)
@@ -1,9 +1,9 @@
-=== Public Piwigo WordPress Widget ===
+=== PiwigoPress ===
 Contributors: VDigital
 Donate link: http://www.vdigital.org/sharing/
 Tags: galleries, public pictures, randomize
 Requires at least: 2.8.4
-Tested up to: 2.8.4
-Stable tag: 
+Tested up to: 2.8.5
+Stable tag: trunk
 
 This widget integrates in your blog sidebars some randomized thumbnails and some links from your or any open API Piwigo gallery.
@@ -11,5 +11,5 @@
 == Description ==
 
-Public Piwigo WordPress Widget (PW^2) is a WordPress 2.8 widget, it links public pictures in your Piwigo gallery (Piwigo). 
+PiwigoPress is a WordPress 2.8 widget, it links public pictures in your Piwigo gallery (Piwigo). 
 In other words, it's a WordPress Sidebar Widget with some available public pictures in your Piwigo gallery as a prereq.
 
@@ -22,19 +22,19 @@
 Try pLoader but in all case, in your Piwigo gallery administration pages, you will find the Instructions link.
 
-Once your gallery online, PW^2 will offer to your blog in its sidebars:
+Once your gallery online, PiwigoPress will offer to your blog in its sidebars:
 - Random public thumbnails with a link to the related picture (medium size) in your gallery,
 - Menu to all public categories of pictures,
 - Several links to recent, most viewed, most commented pictures and more.
 
-All of these are PW^2 options.
+All of these are PiwigoPress options.
 
 
 == Installation ==
 
-How to install PW^2 and get it working.
+How to install PiwigoPress and get it working.
 
 1. Upload `PiwigoPress` complete folder to the `/wp-content/plugins/` directory
 2. Activate the plugin through the 'Plugins' menu in WordPress
-3. Access to Widgets, draw PW^2 to the sidebar you want
+3. Access to Widgets, draw PiwigoPress to the sidebar you want
 
 Explanation of Plugin data fields.
@@ -73,4 +73,8 @@
 == Changelog ==
 
+= 1.02 = 
+* Project rename: Public Piwigo WordPress Widget becomes PiwigoPress
+* I18n version (Italian)
+
 = 1.01 = 
 * I18n version (French, Spanish,...)
